package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.Kelas;
import com.jasamedika.medifirst2000.helper.Caption;

public class KelasVO extends BaseMasterVO {
	
	@Caption(value="Object Kelas")
	private KelasVO kelas;

	private Integer kelasId;

	@Caption(value="Object KelasVO Head")
	private KelasVO kelasHead;

	private Integer kelasHeadId;

	@Caption(value="Nama Kelas")
	private String namaKelas;

	@Caption(value="No Urut")
	private Byte noUrut;

	@Caption(value="QKelas")
	private Byte qKelas;

	public KelasVO getKelas() {
		return kelas;
	}

	public void setKelas(KelasVO kelas) {
		this.kelas = kelas;
	}

	public Integer getKelasId() {
		return kelasId;
	}

	public void setKelasId(Integer kelasId) {
		this.kelasId = kelasId;
	}

	public KelasVO getKelasHead() {
		return kelasHead;
	}

	public void setKelasHead(KelasVO kelasHead) {
		this.kelasHead = kelasHead;
	}

	public Integer getKelasHeadId() {
		return kelasHeadId;
	}

	public void setKelasHeadId(Integer kelasHeadId) {
		this.kelasHeadId = kelasHeadId;
	}

	public String getNamaKelas() {
		return namaKelas;
	}

	public void setNamaKelas(String namaKelas) {
		this.namaKelas = namaKelas;
	}

	public Byte getNoUrut() {
		return noUrut;
	}

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	public Byte getqKelas() {
		return qKelas;
	}

	public void setqKelas(Byte qKelas) {
		this.qKelas = qKelas;
	}

}

